// cvector.h - Declaración de la clase CVector
#if !defined( _CVECTOR_H_ )
#define _CVECTOR_H_

class CVector
{
  private:
    double *vector;  // puntero al primer elemento de la matriz
    int nElementos;  // número de elementos de la matriz
  protected:
    double *asignarMem(int);
  public:
    CVector(int ne = 10);    // crea un CVector con ne elementos
    CVector(const CVector&); // crea un CVector desde otro
    CVector& operator=(const CVector&); // asignación
    ~CVector();              // destructor
    double& operator[](int i) const;
    int longitud() const;
    void iniciar();
};
#endif // _CVECTOR_H_
